﻿#language: ru

Функционал: Учет брака на упаковке

Сценарий: Отбраковка сыра на солении
	Дано Я подключаюсь под "Киоск"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Посолка'     |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Брак'
	Тогда открылось окно 'Брак *'
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Да'
	И я нажимаю на кнопку 'Cохранить'
	Тогда открылось окно 'Брак *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Номенклатура'                          |
		| 'Российский 50% / Варка / 12.03.2019/1' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Брак *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'     |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Брак *'
	И я нажимаю кнопку выбора у поля "Причина брака"
	Тогда открылось окно 'Причины брака'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Брак *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Брак *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Брак *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Брак *'
	И Я закрываю окно 'Брак *'

Сценарий: 10_milk_scenario.04.002 Закрытие клиента тестирования Киоск
	И я закрываю сеанс TESTCLIENT